#
# Copyright (c) 2008 CNRS/LAAS
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# Matthieu Herrb - Mon Sep  1 2008
#
package provide Gdhe::models 1.0

objectDelete fwd3

proc fwd3_wheel {} {
    # Weel 
    color 10 10 10 
    cylinder 0 0 0.05 y 0.10 0.05 
    cylinder 0 -0.01 0.05 y 0.02 0.01
    color 200 200 200
    cylinder 0 -0.001 0.05 y 0.05 0.001
    cylinder 0 0.05 0.05 y 0.05 0.001
}

proc fwd3 {} {
    object fwd3 {
	color 10 10 10 
	cylinder 0.08 -0.081 0.05 y 0.05 0.162
	cylinder -0.08 -0.081 0.05 y 0.05 0.162
	box -0.07 0 0.025 0.02 0.16 0.05
	box 0.07 0 0.025 0.02 0.16 0.05
	color 50 100 50
	box 0.03 0 0.075 0.05 0.02 0.002
	color 200 200 0
	box 0 0 0.025 0.12 0.16 0.05
	pushMatrix
	translate 0.08 0.09 0
	fwd3_wheel
	popMatrix
	pushMatrix
	translate -0.08 0.09 0
	fwd3_wheel
	popMatrix
	pushMatrix
	translate 0.08 -0.09 0
	rotate 180 0 0 1
	fwd3_wheel
	popMatrix 
	pushMatrix
	translate -0.08 -0.09 0
	rotate 180 0 0 1
	fwd3_wheel
	popMatrix
    }
}

